default_omop_teva_config = {
    "visit_occurrence": {
        "category_columns": [
            "visit_occurrence_id",
            "care_site_short_name",
            "stay_source_value",
            "visit_source_value",
            "admission_reason_source_value",
            "visit_type_source_value",
            "destination_source_value",
        ],
        "date_column": "visit_start_datetime",
        "mapper": {"visit_occurrence_id": {"not NaN": ".*"}},
    },
    "procedure_occurrence": {
        "category_columns": [
            "visit_occurrence_id",
            "care_site_short_name",
            "procedure_source_value",
            "stay_source_value",
            "visit_source_value",
            "admission_reason_source_value",
            "visit_type_source_value",
            "destination_source_value",
            "cdm_source",
        ],
        "date_column": "procedure_datetime",
        "mapper": {
            "visit_occurrence_id": {"not NaN": ".*"},
            "procedure_source_value": {"not NaN": ".*"},
        },  # concept_sets ?
    },
    "condition_occurrence": {
        "category_columns": [
            "visit_occurrence_id",
            "care_site_short_name",
            "condition_source_value",
            "stay_source_value",
            "visit_source_value",
            "admission_reason_source_value",
            "visit_type_source_value",
            "destination_source_value",
            "cdm_source",
        ],
        "date_column": "condition_start_datetime",
        "mapper": {
            "visit_occurrence_id": {"not NaN": ".*"},
            "condition_source_value": {"not NaN": ".*"},
        },
    },
    "note": {
        "category_columns": [
            "visit_occurrence_id",
            "care_site_short_name",
            "note_type_source_value",
            "note_class_source_value",
            "cdm_source",
        ],
        "date_column": "visit_start_datetime",
        "mapper": {
            "note_class_source_value": {"CR": r"^CR", "CRH": r"^CRH", "LT": r"^LT"},
            "visit_occurrence_id": {"not NaN": ".*"},
        },
    },
    "drug_exposure_prescription": {
        "category_columns": [
            "visit_occurrence_id",
            "care_site_short_name",
            "drug_type_source_value",
            "drug_source_value",
            "drug_class_source_value",
            "route_source_value",
            "dose_unit_source_value",
            "drug_ucd_source_value",
            "prescription_type_source_value",
            "cdm_source",
        ],
        "date_column": "drug_exposure_start_datetime",
        "mapper": {
            "visit_occurrence_id": {"not NaN": ".*"},
            "drug_type_source_value": {"not NaN": ".*"},
            "drug_source_value": {"not NaN": ".*"},
            "drug_class_source_value": {"not NaN": ".*"},
            "drug_ucd_source_value": {"not NaN": ".*"},
            "route_source_value": {"not NaN": ".*"},
            "dose_unit_source_value": {"not NaN": ".*"},
            "prescription_type_source_value": {"not NaN": ".*"},
        },
    },
    "drug_exposure_administration": {
        "category_columns": [
            "visit_occurrence_id",
            "care_site_short_name",
            "drug_type_source_value",
            "drug_source_value",
            "drug_class_source_value",
            "route_source_value",
            "dose_unit_source_value",
            "drug_ucd_source_value",
            "cdm_source",
        ],
        "date_column": "drug_exposure_start_datetime",
        "mapper": {
            "visit_occurrence_id": {"not NaN": ".*"},
            "drug_type_source_value": {"not NaN": ".*"},
            "drug_source_value": {"not NaN": ".*"},
            "drug_class_source_value": {"not NaN": ".*"},
            "drug_ucd_source_value": {"not NaN": ".*"},
            "route_source_value": {"not NaN": ".*"},
            "dose_unit_source_value": {"not NaN": ".*"},
        },
    },
}
